slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetFunction

Returns the Function matrix and optionally the user provided context for evaluating the Function.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetFunction(NEP nep,Mat *A,Mat *B,PetscErrorCode (**fun)(NEP,PetscScalar,Mat,Mat,void*),void **ctx)

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameters

| A | - location to stash Function matrix (or NULL)
| B | - location to stash preconditioner matrix (or NULL)
| fun | - location to put Function function (or NULL)
| ctx | - location to stash Function context (or NULL)

### See Also

NEPSetFunction()

### Level

advanced

### Location

src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages